Page MenuHomePhabricator

Entry point: New translation from Contributions page
Closed, ResolvedPublic

Description

Context

Contributions page currently lists your existing contributions, but it is a natural place for also starting new ones. By adding an option to create new translations, users that want to contribute will consider translations as an option for doing so.

Designs for the general idea (including different kinds of contributions) are available at https://commons.wikimedia.org/wiki/File:Contributions_redesign.pdf

Narrative

As a user, I can access to my contributions page when I want to contribute to the project, so that I can create new translations as one of the provided options.

Acceptance Criteria

  1. Provide option to "translate" from contributions page.
    1. ​A generic "New contribution" button will provide options to create an article, a translation
  2. Make this part of the CX beta feature.

Design Details

Details

Related Gerrit Patches:
mediawiki/extensions/ContentTranslation : masterEntry point: New translation from MyContributions page

Event Timeline

Arrbee created this task.Nov 28 2014, 5:10 AM
Arrbee raised the priority of this task from to Medium.
Arrbee updated the task description. (Show Details)
Arrbee changed Security from none to None.
Arrbee updated the task description. (Show Details)Nov 28 2014, 5:14 AM
Arrbee edited projects, added LE-Sprint-80; removed LE-Sprint-79.Dec 9 2014, 3:11 PM
Arrbee assigned this task to Nikerabbit.Dec 10 2014, 4:11 PM

Here are the needed icons:

Change 179127 had a related patch set uploaded (by Nikerabbit):
Entry point: New translation from MyContributions page

https://gerrit.wikimedia.org/r/179127

Patch-For-Review

Nikerabbit moved this task from Backlog to In Review on the LE-Sprint-80 board.Dec 11 2014, 1:51 PM

Screenshot of Niklas' implementation

Change 179127 merged by jenkins-bot:
Entry point: New translation from MyContributions page

https://gerrit.wikimedia.org/r/179127

Arrbee added a subscriber: Arrbee.Dec 18 2014, 3:05 PM

Tested. This is now showing in the beta lab instances.

Arrbee closed this task as Resolved.Dec 18 2014, 3:05 PM
Arrbee moved this task from In Review to Done on the LE-Sprint-80 board.